aboutsummaryrefslogtreecommitdiff
path: root/0.8.0/ebuild/fetchers/dowget.in
diff options
context:
space:
mode:
Diffstat (limited to '0.8.0/ebuild/fetchers/dowget.in')
-rwxr-xr-x0.8.0/ebuild/fetchers/dowget.in10
1 files changed, 10 insertions, 0 deletions
diff --git a/0.8.0/ebuild/fetchers/dowget.in b/0.8.0/ebuild/fetchers/dowget.in
new file mode 100755
index 0000000..a6d8007
--- /dev/null
+++ b/0.8.0/ebuild/fetchers/dowget.in
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+echo ${WGET_WRAPPER} ${LOCAL_WGET:-wget} ${EXTRA_WGET} -T 30 -t 1 -O "${2}" "${1}" 1>&2
+if ${WGET_WRAPPER} ${LOCAL_WGET:-wget} ${EXTRA_WGET} -T 30 -t 1 -O "${2}" "${1}" ; then
+ exit 0
+else
+ rm -f "${2}"
+ exit 1
+fi
+